
Redmine - Feature #5195

edit_own_issues and delete_own_issues permissions

2010-03-26 12:01 - Alexey Palazhchenko

Status: New Start date: 2010-03-26

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Permissions and roles Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

There are should be edit_own_issues and delete_own_issues permissions.

Related issues:

Related to Redmine - Patch #7444: Patch for improved issue edit permissions Closed 2011-01-25

Related to Redmine - Feature #1248: New Permission:  Edit own issues Closed 2008-05-16

Related to Redmine - Feature #6331: Give a role a permission to view/edit onl... Closed 2010-09-08

Related to Redmine - Feature #3683: Delete my own issues Closed 2009-07-28

Has duplicate Redmine - Feature #19824: Could redmine control  permission of ... Closed

History

#1 - 2011-01-18 11:11 - Denis Savitskiy

Any progress?

#2 - 2011-02-11 21:08 - Brian Lindahl

check out patch #7444

#3 - 2014-08-03 07:44 - Go MAEDA

Related to #1248.

"Edit own issues" permission is discussed in #1248.

#4 - 2014-09-01 05:33 - Toshi MARUYAMA

- Related to Feature #1248: New Permission:  Edit own issues added

#5 - 2015-02-20 09:08 - Michael Heinze

+1 would be very useful

#6 - 2015-02-20 21:36 - Omer Arslan

+1 - will be very useful

#7 - 2015-03-21 16:29 - Toshi MARUYAMA

- Subject changed from Issues permissions to edit_own_issues and delete_own_issues permissions

#8 - 2015-05-13 08:03 - Chet Wang

+1

really helpful if redmine has this feature.

#9 - 2015-05-29 12:21 - E F

+1 Really need this

#10 - 2015-06-12 03:40 - Toshi MARUYAMA

- Related to Feature #19824: Could redmine control  permission of edit/delete my own issue  added

#11 - 2015-06-12 03:40 - Toshi MARUYAMA

- Related to deleted (Feature #19824: Could redmine control  permission of edit/delete my own issue )

2025-08-23 1/2

https://www.redmine.org/issues/7444
https://www.redmine.org/issues/1248
https://www.redmine.org/issues/1248


#12 - 2015-06-12 03:40 - Toshi MARUYAMA

- Has duplicate Feature #19824: Could redmine control  permission of edit/delete my own issue  added

#13 - 2015-06-17 02:25 - Toshi MARUYAMA

- Related to Feature #6331: Give a role a permission to view/edit only his tickets added

#14 - 2017-01-27 23:11 - José Campos

+1

#15 - 2020-01-08 10:32 - Go MAEDA

- Related to Feature #3683: Delete my own issues added

#16 - 2020-01-08 10:33 - Go MAEDA

"Edit own issues" permission has been added in Redmine 4.1.0 (#1248).
